Archive a feature
curl --request DELETE \
--url https://sandboxapi.kelviq.com/api/v1/catalog/features/{pk}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.kelviq.com/api/v1/catalog/features/{pk}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.kelviq.com/api/v1/catalog/features/{pk}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Object archived successfully."
}Features
Archive a feature
Soft-deletes the feature and updates any published pricing tables that referenced it.
DELETE
/
catalog
/
features
/
{pk}
/
Archive a feature
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Path Parameters
Feature UUID.
Response
Feature archived.
Example:
"Object deleted successfully."